%define pkg_name        Audio
%define pkg_version     1.029
%define rpm_pkg_version 1.029
%define rpm_pkg_release 3.n0i.3

Summary:       Audio manipulation routines for perl
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/N/NI/NI-S/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: alsa-lib-devel

%global perl_filter_req 'perl\\(Tk'


%description
This is the beginings of Audio manipulation routines for perl. Currently
can load or save Sun/Next .au/.snd files and play them via Network Audio
Server (from ftp.x.org) or native /dev/audio on Suns.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
# may fail if access to audio device is not available
%{!?_without_test:%{__make} test || :}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}

# play safer with "sample" scripts
pushd $RPM_BUILD_ROOT%{_bindir}
for prog in * ; do
	%{__mv} ${prog} ${prog}.pl
done
popd


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b}
%doc Change.log COPYING README


%changelog
* Fri Jun 08 2007 Marius Feraru <altblue@n0i.net> - 1.029-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.029-2.n0i.2
- automatic rebuild (perl 5.8.8)

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 1.029-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.015
- rebuild on perl 5.8.7
